Subject: bug#4192: 23.1; special fontification for "//" in cc-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Nov 2019 17:08:48 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Alan Mackenzie <[email-masked]> writes:
>
>>> This is a feature request for cc-mode.
>>
>>> I work on a number of projects that use C89, not C99.  In these
>>> projects, it is invalid to use "//"-style comment.  It would be nice if
>>> cc-mode would optionally flag such comments in a special face, so that
>>> I can immediately see when I've written a comment incorrectly.
>>
>> I'm not sure this is important enough to warrant a fully
>> implemented/documented/QA'd feature, but then again, I'm not sure it's
>> not.
>>
>> Here's a quick hack called c-disable-line-comments.el.  Load it into your
>> Emacs before CC Mode (in particular, before desktop gets loaded).
>>
>> Toggling c-disable-line-comments doesn't work smoothly with the font
>> locking, but I'm assuming here you'll not really be wanting to toggle
>> this.
>
> I think this sounds useful.  For instance, in the Emacs source code, //
> is also frowned upon, so having those be marked by CC mode would be
> handy.  This doesn't seem to have made its way into the code base, I
> think.

Alan, have you thought any further about this?  It does seem like a nice
feature.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no